Subject: Re: bug#37655: 27.0.50; reversing `gnus-thread-sort-by-most-recent-date' does not work properly

From: Hong Xu <[email-masked]>
Date: Wed, 9 Oct 2019 15:51:39 -0700

On 10/9/19 2:32 PM, Eric Abrahamsen wrote:
>>
>> I don't observe incorrect date. Is there an incorrect date in the example above?
> 
> Yes, the dates as displayed in the Summary format line are off from the
> dates in the Date header of the article itself. At least, that's what
> I'm seeing in the Emacs -Q test.
> 
> In your personal messages, is it also the first thread in the Summary
> buffer that's sorted incorrectly? That would definitely indicate some
> sort of error in the start/end of looping.
> 

The date of the message is correct for my personal message. The example mbox file actually also shows the correct date (as posted in the original report), because the article at issue was dated Fri, 13 Oct 2000 10:15:42 +0900 in the mbox file, and I am on GMT-7, therefore 12 Oct 2000 was the correct date for me.